
@book{brunton_kutz_2019,
  author    = {Steven L. Brunton and J. Nathan Kutz},
  title     = {Data-Driven Science and Engineering: Machine Learning, Dynamical Systems, and Control},
  publisher = {Cambridge University Press},
  doi       = {10.1017/9781108380690},
  year      = {2019},
  place     = {Cambridge}
}

@article{Champion_2019,
  month     = {1},
  author    = {Kathleen P. Champion and Steven L. Brunton and J. Nathan Kutz},
  volume    = {18},
  title     = {Discovery of Nonlinear Multiscale Systems: Sampling Strategies and Embeddings},
  pages     = {312--333},
  number    = {1},
  publisher = {Society for Industrial {\&} Applied Mathematics ({SIAM})},
  url       = {https://doi.org/10.1137%2F18m1188227},
  year      = {2019},
  journal   = {{SIAM} Journal on Applied Dynamical Systems},
  doi       = {10.1137/18m1188227}
}

@misc{sindy_autoencoders,
  url       = {https://arxiv.org/abs/2201.05136},
  keywords  = {Machine Learning (cs.LG), Computational Engineering, Finance, and Science (cs.CE), Dynamical Systems (math.DS), FOS: Computer and information sciences, FOS: Computer and information sciences, FOS: Mathematics, FOS: Mathematics},
  year      = {2022},
  copyright = {Creative Commons Attribution 4.0 International},
  author    = {Joseph Bakarji and Kathleen Champion and J. Nathan Kutz and Steven L. Brunton},
  doi       = {10.48550/ARXIV.2201.05136},
  publisher = {arXiv},
  title     = {Discovering Governing Equations from Partial Measurements with Deep Delay Autoencoders}
}

@software{datadrivendiffeq,
  doi       = {10.5281/zenodo.5083412},
  url       = {https://doi.org/10.5281/zenodo.5083412},
  author    = {Julius Martensen and Christopher Rackauckas and others},
  publisher = {Zenodo},
  year      = {2021},
  title     = {DataDrivenDiffEq.jl},
  month     = {7}
}

@misc{ma2021modelingtoolkit,
  eprint        = {2103.05244},
  author        = {Yingbo Ma and Shashi Gowda and Ranjan Anantharaman and Chris Laughman and Viral Shah and Chris Rackauckas},
  primaryclass  = {cs.MS},
  archiveprefix = {arXiv},
  year          = {2021},
  title         = {ModelingToolkit: A Composable Graph Transformation System For Equation-Based Modeling}
}

@article{bezanson2017julia,
  journal   = {SIAM review},
  number    = {1},
  year      = {2017},
  title     = {\Julia: A fresh approach to numerical computing},
  author    = {Jeff Bezanson and Alan Edelman and Stefan Karpinski and Viral B. Shah},
  url       = {https://doi.org/10.1137/141000671},
  pages     = {65--98},
  publisher = {SIAM},
  volume    = {59}
}

@article{makiejl,
  journal   = {Journal of Open Source Software},
  author    = {Simon Danisch and Julius Krumbiegel},
  doi       = {10.21105/joss.03349},
  year      = {2021},
  number    = {65},
  url       = {https://doi.org/10.21105/joss.03349},
  title     = {Makie.jl: Flexible high-performance data visualization for \Julia},
  volume    = {6},
  pages     = {3349},
  publisher = {The Open Journal}
}

@article{rackauckas2017differentialequations,
  number    = {1},
  publisher = {Ubiquity Press},
  journal   = {Journal of Open Research Software},
  author    = {Christopher Rackauckas and Qing Nie},
  title     = {Differentialequations.jl -- a performant and feature-rich ecosystem for solving differential equations in \Julia},
  volume    = {5},
  year      = {2017}
}

@misc{veltz:hal-02902346,
  author   = {Romain Veltz},
  title    = {BifurcationKit.jl},
  year     = {2020},
  keywords = {pseudo-arclength-continuation ; periodic-orbits ; floquet ; gpu ; bifurcation-diagram ; deflation ; newton-krylov},
  url      = {https://hal.archives-ouvertes.fr/hal-02902346}
}

@article{Liang2008,
  doi       = {10.1198/016214508000000797},
  pages     = {1570--1583},
  year      = {2008},
  author    = {Hua Liang and Hulin Wu},
  title     = {Parameter Estimation for Differential Equation Models Using a Framework of Measurement Error in Regression Models},
  publisher = {Informa {UK} Limited},
  journal   = {Journal of the American Statistical Association},
  url       = {https://doi.org/10.1198/016214508000000797},
  month     = {12},
  volume    = {103},
  number    = {484}
}

@article{Postnikov2016,
  author    = {Eugene B. Postnikov and Olga V. Titkova},
  month     = {11},
  volume    = {131},
  year      = {2016},
  title     = {A correspondence between the models of Hodgkin-Huxley and {FitzHugh}-Nagumo revisited},
  url       = {https://doi.org/10.1140/epjp/i2016-16411-1},
  publisher = {Springer Science and Business Media {LLC}},
  journal   = {The European Physical Journal Plus},
  doi       = {10.1140/epjp/i2016-16411-1},
  number    = {11}
}

@article{Distributions.jl,
  doi      = {10.18637/jss.v098.i16},
  journal  = {Journal of Statistical Software},
  author   = {Mathieu Besançon and Theodore Papamarkou and David Anthoff and Alex Arslan and Simon Byrne and Dahua Lin and John Pearson},
  year     = {2021},
  url      = {https://www.jstatsoft.org/v098/i16},
  keywords = {Julia; distributions; modeling; interface; mixture; KDE; sampling; probabilistic programming; inference},
  issn     = {1548-7660},
  volume   = {98},
  number   = {16},
  pages    = {1--30},
  title    = {Distributions.jl: Definition and Modeling of Probability Distributions in the JuliaStats Ecosystem}
}

@misc{plotsjl,
  url       = {https://arxiv.org/abs/2204.08775},
  author    = {Simon Christ and Daniel Schwabeneder and Christopher Rackauckas and Michael Krabbe Borregaard and Thomas Breloff},
  publisher = {arXiv},
  year      = {2022},
  copyright = {Creative Commons Attribution 4.0 International},
  doi       = {10.48550/ARXIV.2204.08775},
  keywords  = {Graphics (cs.GR), FOS: Computer and information sciences, FOS: Computer and information sciences, I.3.3},
  title     = {Plots.jl -- a user extendable plotting API for the \Julia programming language}
}

@article{linhart_denoise_2008,
  title  = {Potlačování šumu v řečových signálech za pomocí zpracování "atraktorů"},
  year   = {2008},
  author = {Tomáš Linhart}
}

@misc{gupta_noise_2015,
  title     = {Multiplicative Noise Removal Techniques - A Study},
  url       = {http://rgdoi.net/10.13140/RG.2.1.2651.7844/1},
  year      = {2015},
  doi       = {10.13140/RG.2.1.2651.7844/1},
  language  = {en},
  author    = {Ashutosh Gupta},
  publisher = {Dept. of Electrical Engineering,  Indian Institute of Science}
}

@online{matrixInverse1,
  author = {Steven G. Johnson},
  url    = {https://discourse.julialang.org/t/efficient-way-of-doing-linear-regression/31232/33},
  year   = {2020},
  title  = {Efficient way of doing linear regression}
}

@online{matrixInverse2,
  url           = {https://discourse.julialang.org/t/inverse-and-backslash-division/44680/4},
  title         = {Inverse and backslash \textbackslash\; division},
  author        = {Steven G. Johnson},
  year          = {2020},
  archiveprefix = {}
}

@online{juliateachingctu,
  author        = {Adam Luk and Vašek Mácha and Michaela Mašková},
  title         = {\Julia pro optimalizaci a učení},
  year          = {2021},
  eprint        = {https://juliateachingctu.github.io/Julia-for-Optimization-and-Learning/stable/},
  archiveprefix = {}
}

@book{PribylovaM6201,
  title     = {Nelineární dynamika a její aplikace},
  publisher = {Masarykova univerzita},
  author    = {Lenka Přibylová},
  isbn      = {978-80-210-5969-6},
  language  = {cze},
  location  = {Brno},
  year      = {2012},
  edition   = {1. vyd.},
  url       = {https://is.muni.cz/auth/el/sci/jaro2022/M6201/um/NelinDyn.pdf}
}

@book{PospisilSDMI,
  url          = {http://portal.matematickabiologie.cz/index.php?pg=analyza-a-modelovani-dynamickych-biologickych-dat--spojite-deterministicke-modely-i},
  keywords     = {differencial equations; applications to life science},
  booktitle    = {Matematická biologie: e-learningová učebnice [online]},
  isbn         = {978-80-210-8095-9},
  publisher    = {Masarykova univerzita},
  language     = {cze},
  title        = {Spojité deterministické modely I},
  howpublished = {elektronická verze "online"},
  author       = {Zdeněk Pospíšil and Lenka Přibylová},
  year         = {2015},
  location     = {Brno},
  address      = {Brno}
}

@article{SparseSignals,
  title            = {Řídké reprezentace signálů: úvod do problematiky},
  issn             = {1213-1539},
  volume           = {2011/50},
  year             = {2011},
  journal          = {Elektrorevue},
  article_location = {Brno(CZ)},
  article_number   = {13.9.},
  author           = {Radek Hrbáček and  Pavel Rajmic and Vítězslav Veselý and Jan Špiřík},
  url              = {http://www.elektrorevue.cz/cz/clanky/zpracovani-signalu/0/ridke-reprezentace-signalu--uvod-do-problematiky/},
  keywords         = {signal processing; sparsity; systems of linear equations; l1-relaxation; NSP; RIP; greedy algorithms; compressive sampling},
  language         = {cze}
}

@article{ProximalAlgorithms,
  numpages   = {113},
  journal    = {Found. Trends Optim.},
  address    = {Hanover, MA, USA},
  volume     = {1},
  url        = {https://doi.org/10.1561/2400000003},
  title      = {Proximal Algorithms},
  number     = {3},
  author     = {Neal Parikh and  Stephen Boyd},
  doi        = {10.1561/2400000003},
  issn       = {2167-3888},
  pages      = {127-239},
  publisher  = {Now Publishers Inc.},
  month      = {1},
  abstract   = {This monograph is about a class of optimization algorithms called proximal algorithms. Much like Newton's method is a standard tool for solving unconstrained smooth optimization problems of modest size, proximal algorithms can be viewed as an analogous tool for nonsmooth, constrained, large-scale, or distributed versions of these problems. They are very generally applicable, but are especially well-suited to problems of substantial recent interest involving large or high-dimensional datasets. Proximal methods sit at a higher level of abstraction than classical algorithms like Newton's method: the base operation is evaluating the proximal operator of a function, which itself involves solving a small convex optimization problem. These subproblems, which generalize the problem of projecting a point onto a convex set, often admit closed-form solutions or can be solved very quickly with standard or simple specialized methods. Here, we discuss the many different interpretations of proximal operators and algorithms, describe their connections to many other topics in optimization and applied mathematics, survey some popular algorithms, and provide a large number of examples of proximal operators that commonly arise in practice.},
  issue_date = {January 2014},
  year       = {2014}
}

@thesis{Zonygova2019,
  school  = {Vysoké učení technické v Brně. Fakulta strojního inženýrství. Ústav matematiky},
  author  = {Kristýna Zonygová},
  title   = {Restaurace přeexponovaného digitálního obrazu},
  url     = {http://hdl.handle.net/11012/179513},
  type    = {Bakalářská práce},
  address = {Brno},
  urldate = {2023-03-21},
  year    = {2019}
}

@article{LassoRegression,
  author    = {Robert Tibshirani},
  pages     = {267--288},
  urldate   = {2023-03-21},
  journal   = {Journal of the Royal Statistical Society. Series B (Methodological)},
  year      = {1996},
  volume    = {58},
  publisher = {[Royal Statistical Society, Wiley]},
  number    = {1},
  issn      = {00359246},
  url       = {http://www.jstor.org/stable/2346178},
  title     = {Regression Shrinkage and Selection via the Lasso},
  abstract  = {We propose a new method for estimation in linear models. The `lasso' minimizes the residual sum of squares subject to the sum of the absolute value of the coefficients being less than a constant. Because of the nature of this constraint it tends to produce some coefficients that are exactly 0 and hence gives interpretable models. Our simulation studies suggest that the lasso enjoys some of the favourable properties of both subset selection and ridge regression. It produces interpretable models like subset selection and exhibits the stability of ridge regression. There is also an interesting relationship with recent work in adaptive function estimation by Donoho and Johnstone. The lasso idea is quite general and can be applied in a variety of statistical models: extensions to generalized regression models and tree-based models are briefly described.}
}

@misc{Chladek2021thesis,
  year   = {2021},
  url    = {https://theses.cz/id/hotk48/},
  title  = {Simulační studie lasso regrese a elastic net regrese v přítomnosti skupinových efektů [online]},
  author = {Jakub Chládek},
  note   = {SUPERVISOR: Lukáš Frýd},
  type   = {Bakalářská práce},
  school = {Vysoká škola ekonomická v PrazePraha}
}

@mastersthesis{Mangova2014thesis,
  type    = {Diplomová práce},
  school  = {Vysoké učení technické v Brně},
  url     = {https://theses.cz/id/awncx1/},
  address = {Brno},
  title   = {Komprimované snímání v perfuzním zobrazování pomocí magnetické rezonance [online]},
  year    = {2014},
  author  = {Marie Mangová}
}

@misc{ProximalSoftThresholdStackExchange,
  title        = {Derivation of Soft Thresholding Operator / Proximal Operator of $L_1$ Norm},
  howpublished = {Mathematics Stack Exchange},
  author       = {skd (https://math.stackexchange.com/users/98026/skd)},
  note         = {URL:https://math.stackexchange.com/q/511106 (version: 2019-02-12)},
  eprint       = {https://math.stackexchange.com/q/511106},
  url          = {https://math.stackexchange.com/q/511106}
}

@misc{LassoADMMCandes,
  eprint = {https://candes.su.domains/teaching/math301/Lectures/Consensus.pdf},
  year   = {2015},
  author = {Emmanuel Candes},
  title  = {MATH 301: Advanced Topics in Convex Optimization - Lecture 26}
}

@article{CondatTVDenoise,
  title   = {A Direct Algorithm for 1-D Total Variation Denoising},
  number  = {11},
  author  = {Laurent Condat},
  pages   = {1054-1057},
  year    = {2013},
  volume  = {20},
  journal = {IEEE Signal Processing Letters},
  doi     = {10.1109/LSP.2013.2278339}
}

@misc{wiki:Total_variation_denoising,
  note   = {[Online; accessed 23-March-2023]},
  url    = {https://en.wikipedia.org/wiki/Total_variation_denoising},
  year   = {2023},
  author = {Wikipedia},
  title  = {Total variation denoising -- Wikipedia, The Free Encyclopedia}
}

@article{TVRegularizationDeledalle,
  author    = {Charles-Alban Deledalle and Samuel Vaiter and Gabriel Peyré and Jalal Fadili and Charles Dossal},
  year      = {2012},
  number    = {},
  title     = {Unbiased risk estimation for sparse analysis regularization},
  booktitle = {2012 19th IEEE International Conference on Image Processing},
  pages     = {3053-3056},
  doi       = {10.1109/ICIP.2012.6467544},
  volume    = {}
}

@article{TVbyADMMWahlberg,
  title    = {An ADMM Algorithm for a Class of Total Variation Regularized Estimation Problems*},
  volume   = {45},
  number   = {16},
  year     = {2012},
  url      = {https://www.sciencedirect.com/science/article/pii/S1474667015379325},
  journal  = {IFAC Proceedings Volumes},
  author   = {Bo Wahlberg and Stephen Boyd and Mariette Annergren and Yang Wang},
  keywords = {Signal processing algorithms, stochastic parameters, parameter estimation, convex optimization and regularization},
  doi      = {https://doi.org/10.3182/20120711-3-BE-2027.00310},
  note     = {16th IFAC Symposium on System Identification},
  issn     = {1474-6670},
  pages    = {83-88},
  abstract = {We present an alternating augmented Lagrangian method for convex optimization problems where the cost function is the sum of two terms, one that is separable in the variable blocks, and a second that is separable in the difference between consecutive variable blocks. Examples of such problems include Fused Lasso estimation, total variation denoising, and multi-period portfolio optimization with transaction costs. In each iteration of our method, the first step involves separately optimizing over each variable block, which can be carried out in parallel. The second step is not separable in the variables, but can be carried out very efficiently. We apply the algorithm to segmentation of data based on changes in mean (l1 mean filtering) or changes in variance (l1 variance filtering). In a numerical example, we show that our implementation is around 10000 times faster compared with the generic optimization solver SDPT3.}
}

@article{TvDiffJulia,
  month   = {01},
  volume  = {2011},
  year    = {2011},
  author  = {Rick Chartrand},
  journal = {ISRN Appl. Math.},
  title   = {Numerical Differentiation of Noisy, Nonsmooth Data},
  doi     = {10.5402/2011/164564}
}

@misc{TotalVariationJulia,
  howpublished = {\url{https://github.com/fundamental/TotalVariation.jl}},
  commit       = {f07fd08c24c41e3a95c1566e045b325a841d4127},
  author       = {fundamental},
  publisher    = {GitHub},
  title        = {TotalVariation.jl},
  year         = {2013},
  journal      = {GitHub repository}
}

@article{SelesnickTV,
  author    = {Ivan W. Selesnick and Po-Yu Chen},
  title     = {Total variation denoising with overlapping group sparsity},
  pages     = {5696-5700},
  booktitle = {2013 IEEE International Conference on Acoustics, Speech and Signal Processing},
  doi       = {10.1109/ICASSP.2013.6638755},
  year      = {2013}
}

@article{TikhonovRegularization,
  journal = {Soviet Math. Dokl.},
  author  = {A. N. Tikhonov},
  title   = {Regularization of Incorrectly Posed Problems},
  year    = {1963},
  pages   = {1624-1627}
}

@book{NumMetodyHorova,
  language  = {cze},
  keywords  = {numerical solution of nonlinear equations and of systems of linear equations;interpolation;numerical integration},
  year      = {2004},
  edition   = {2.},
  publisher = {Masarykova univerzita v Brně},
  address   = {Brno},
  isbn      = {80-210-3317-7},
  title     = {Numerické metody},
  author    = {Ivana Horova and Jiří Zelinka},
  location  = {Brno}
}

@article{BruntonSINDyCore,
  number   = {15},
  year     = {2016},
  journal  = {Proceedings of the National Academy of Sciences},
  title    = {Discovering governing equations from data by sparse identification of nonlinear dynamical systems},
  pages    = {3932-3937},
  author   = {Steven L. Brunton  and Joshua L. Proctor  and J. Nathan Kutz},
  volume   = {113}
}

@article{Schmidt2009,
  doi       = {10.1126/science.1165893},
  number    = {5923},
  pages     = {81--85},
  publisher = {American Association for the Advancement of Science ({AAAS})},
  volume    = {324},
  year      = {2009},
  url       = {https://doi.org/10.1126/science.1165893},
  journal   = {Science},
  month     = {4},
  title     = {Distilling Free-Form Natural Laws from Experimental Data},
  author    = {Michael Schmidt and Hod Lipson}
}

@article{Daniels2015,
  volume    = {6},
  url       = {https://doi.org/10.1038/ncomms9133},
  year      = {2015},
  author    = {Bryan C. Daniels and Ilya Nemenman},
  doi       = {10.1038/ncomms9133},
  title     = {Automated adaptive inference of phenomenological dynamical models},
  number    = {1},
  publisher = {Springer Science and Business Media {LLC}},
  month     = {8},
  journal   = {Nature Communications}
}

@inproceedings{HeimANN2020,
  author    = {Heim, Niklas and Pevny, Tomas and Smidl, Vasek},
  title     = {Neural Power Units},
  year      = {2020},
  publisher = {Curran Associates, Inc.},
  editor    = {H. Larochelle and M. Ranzato and R. Hadsell and M.F. Balcan and H. Lin},
  booktitle = {Advances in Neural Information Processing Systems},
  volume    = {33},
  pages     = {6573--6583}
}

@misc{champion2020unified,
  primaryclass  = {physics.comp-ph},
  eprint        = {1906.10612},
  archiveprefix = {arXiv},
  year          = {2020},
  title         = {A unified sparse optimization framework to learn parsimonious physics-informed models from data},
  author        = {Kathleen Champion and Peng Zheng and Aleksandr Y. Aravkin and Steven L. Brunton and J. Nathan Kutz}
}

@misc{rudy2016datadriven,
  author        = {Samuel H. Rudy and Steven L. Brunton and Joshua L. Proctor and J. Nathan Kutz},
  archiveprefix = {arXiv},
  primaryclass  = {nlin.PS},
  title         = {Data-driven discovery of partial differential equations},
  year          = {2016},
  eprint        = {1609.06401}
}

@article{sindy_integral_terms,
  publisher = {American Physical Society},
  pages     = {023302},
  author    = {Schaeffer, Hayden and McCalla, Scott G.},
  issue     = {2},
  numpages  = {7},
  volume    = {96},
  journal   = {Phys. Rev. E},
  month     = {Aug},
  title     = {Sparse model selection via integral terms},
  year      = {2017},
  doi       = {10.1103/PhysRevE.96.023302},
  url       = {https://link.aps.org/doi/10.1103/PhysRevE.96.023302}
}

@article{sparse_condition_number,
  volume  = {50},
  author  = {Tropp, J.A.},
  journal = {IEEE Transactions on Information Theory},
  pages   = {2231-2242},
  year    = {2004},
  number  = {10},
  doi     = {10.1109/TIT.2004.834793},
  title   = {Greed is good: algorithmic results for sparse approximation}
}

@article{brunton_video_library,
  title     = {Sparse Nonlinear Dynamics Models with {SINDy},  Part 4: The Library of Candidate Nonlinearities},
  author    = {Steven L. Brunton},
  publisher = {Cassyni},
  doi       = {10.52843/cassyni.p7t7ds},
  month     = {October},
  url       = {https://doi.org/10.52843/cassyni.p7t7ds},
  year      = {2021}
}

@article{brunton_video_data,
  year      = {2021},
  title     = {Sparse Nonlinear Dynamics Models with {SINDy}, Part 2: Training Data \& Disambiguating Models},
  url       = {https://doi.org/10.52843/cassyni.y7yb6y},
  month     = {September},
  publisher = {Cassyni},
  author    = {Steven L. Brunton},
  doi       = {10.52843/cassyni.y7yb6y}
}

@article{brunton_video_basics,
  title     = {Sparse Identification of Nonlinear Dynamics ({SINDy}): Sparse Machine Learning Models 5 Years Later!},
  publisher = {Cassyni},
  month     = {August},
  url       = {https://doi.org/10.52843/cassyni.sx3npx},
  doi       = {10.52843/cassyni.sx3npx},
  author    = {Steven L. Brunton},
  year      = {2021}
}

@article{brunton_video_coordinates,
  doi       = {10.52843/cassyni.5z2jld},
  author    = {Steven L. Brunton},
  publisher = {Cassyni},
  title     = {Sparse Nonlinear Dynamics Models with {SINDy},  Part 3: Effective Coordinates for Parsimonious Models},
  url       = {https://doi.org/10.52843/cassyni.5z2jld},
  month     = {September},
  year      = {2021}
}

@article{brunton_video_optimization,
  title     = {Sparse Nonlinear Dynamics Models with {SINDy},  Part 5: The Optimization Algorithms},
  author    = {Steven L. Brunton},
  month     = {October},
  year      = {2021},
  doi       = {10.52843/cassyni.f1bn05},
  url       = {https://doi.org/10.52843/cassyni.f1bn05},
  publisher = {Cassyni}
}

@misc{zheng2018unified,
  title         = {A Unified Framework for Sparse Relaxed Regularized Regression: SR3},
  year          = {2018},
  author        = {Peng Zheng and Travis Askham and Steven L. Brunton and J. Nathan Kutz and Aleksandr Y. Aravkin}
}

@article{FitzHugh,
  title    = {Impulses and Physiological States in Theoretical Models of Nerve Membrane},
  author   = {Richard FitzHugh},
  volume   = {1},
  doi      = {https://doi.org/10.1016/S0006-3495(61)86902-6},
  issn     = {0006-3495},
  year     = {1961},
  abstract = {Van der Pol's equation for a relaxation oscillator is generalized by the addition of terms to produce a pair of non-linear differential equations with either a stable singular point or a limit cycle. The resulting “BVP model” has two variables of state, representing excitability and refractoriness, and qualitatively resembles Bonhoeffer's theoretical model for the iron wire model of nerve. This BVP model serves as a simple representative of a class of excitable-oscillatory systems including the Hodgkin-Huxley (HH) model of the squid giant axon. The BVP phase plane can be divided into regions corresponding to the physiological states of nerve fiber (resting, active, refractory, enhanced, depressed, etc.) to form a “physiological state diagram,” with the help of which many physiological phenomena can be summarized. A properly chosen projection from the 4-dimensional HH phase space onto a plane produces a similar diagram which shows the underlying relationship between the two models. Impulse trains occur in the BVP and HH models for a range of constant applied currents which make the singular point representing the resting state unstable.},
  url      = {https://www.sciencedirect.com/science/article/pii/S0006349561869026},
  pages    = {445-466},
  journal  = {Biophysical Journal},
  number   = {6}
}

@article{HodgkinHuxley,
  pages   = {500-544},
  volume  = {117},
  title   = {A quantitative description of membrane current and its application to conduction and excitation in nerve},
  journal = {The Journal of Physiology},
  year    = {1952},
  number  = {4},
  author  = {Hodgkin, A. L. and Huxley, A. F.}
}

@mastersthesis{Jekl2018thesis,
  year   = {2018 [cit. 2023-04-13]},
  note   = {SUPERVISOR : Ondřej Pokora},
  author = {Jekl, Jan},
  title  = {Matematické modely neuronu [online]},
  url    = {https://is.muni.cz/th/iibr5/},
  school = {Masarykova univerzita, Přírodovědecká fakulta, Brno},
  type   = {Diplomová práce}
}

@book{Gerstner2002-it,
  doi       = {https://doi.org/10.1017/CBO9780511815706},
  title     = {Spiking neuron models},
  publisher = {Cam\-bri\-dge University Press},
  month     = {8},
  language  = {en},
  year      = {2002},
  address   = {},
  author    = {Gerstner, Wulfram and Kistler, Werner M}
}

@book{pribylovaChaosFractals,
  location  = {Brno},
  year      = {2021},
  isbn      = {978-80-280-0112-4},
  edition   = {1., vyd.},
  title     = {Teorie bifurkací, chaos a fraktály. Multimediální elektronický výukový materiál},
  keywords  = {nonlinear dynamics; bifurcations; chaos; fractals; normal forms; bistability; synchronizations},
  publisher = {Masarykova univerzita},
  url       = {https://is.muni.cz/do/rect/el/estud/prif/2020podzim/teorie_bifurkaci/web/index.html},
  address   = {Brno},
  author    = {Přibylová, Lenka},
  language  = {cze}
}

@article{lorenz1963deterministic,
  year    = {1963},
  pages   = {130--141},
  journal = {Journal of atmospheric sciences},
  volume  = {20},
  author  = {Lorenz, Edward N},
  number  = {2},
  title   = {Deterministic nonperiodic flow}
}

@misc{lorenzWolfram,
  url      = {https://mathworld.wolfram.com/LorenzAttractor.html},
  note     = {cit. 2023-04-18},
  author   = {Weisstein, Eric W.},
  title    = {Lorenz Attractor},
  subtitle = {From MathWorld -- A Wolfram Web Resource}
}

@article{Kudryashov2018,
  publisher = {Pleiades Publishing Ltd},
  pages     = {152--160},
  url       = {https://doi.org/10.1134/s1560354718020028},
  doi       = {10.1134/s1560354718020028},
  number    = {2},
  author    = {Nikolay A. Kudryashov},
  title     = {Asymptotic and Exact Solutions of the {FitzHugh}{\textendash}Nagumo Model},
  year      = {2018},
  journal   = {Regular and Chaotic Dynamics},
  volume    = {23},
  month     = {March}
}

@misc{wikiHHModel,
  url    = {https://en.wikipedia.org/w/index.php?title=Hodgkin%E2%80%93Huxley_model&oldid=1151623295},
  note   = {[Online; accessed 5-May-2023]},
  author = {{Wikipedia contributors}},
  title  = {Hodgkin–Huxley model --- {Wikipedia}{,} The Free Encyclopedia},
  year   = {2023}
}

@misc{wikiSkriptaIon,
  year   = {2022},
  url    = {https://www.wikiskripta.eu/index.php?title=Iontov%C3%A9_kan%C3%A1ly&oldid=458313},
  note   = {[Online; navštíveno 5. 05. 2023]},
  author = {WikiSkripta},
  title  = {Iontové kanály}
}

@article{NelderMead,
  volume   = {7},
  eprint   = {https://academic.oup.com/comjnl/article-pdf/7/4/308/1013182/7-4-308.pdf},
  pages    = {308-313},
  journal  = {The Computer Journal},
  month    = {01},
  url      = {https://doi.org/10.1093/comjnl/7.4.308},
  year     = {1965},
  author   = {Nelder, J. A. and Mead, R.},
  number   = {4},
  title    = {{A Simplex Method for Function Minimization}},
  issn     = {0010-4620},
  abstract = {{A method is described for the minimization of a function of n variables, which depends on the comparison of function values at the (n + 1) vertices of a general simplex, followed by the replacement of the vertex with the highest value by another point. The simplex adapts itself to the local landscape, and contracts on to the final minimum. The method is shown to be effective and computationally compact. A procedure is given for the estimation of the Hessian matrix in the neighbourhood of the minimum, needed in statistical estimation problems.}},
  doi      = {10.1093/comjnl/7.4.308}
}

@article{mogensen2018optim,
  number  = {24},
  author  = {Mogensen, Patrick Kofod and Riseth, Asbj{\o}rn Nilsen},
  title   = {Optim: A mathematical optimization package for {Julia}},
  doi     = {10.21105/joss.00615},
  year    = {2018},
  journal = {Journal of Open Source Software},
  pages   = {615},
  volume  = {3}
}

@book{Goodfellow-et-al-2016,
  title     = {Deep Learning},
  author    = {Ian Goodfellow and Yoshua Bengio and Aaron Courville},
  publisher = {MIT Press},
  note      = {\url{http://www.deeplearningbook.org}},
  year      = {2016}
}

@article{HORNIK1989359,
  title    = {Multilayer feedforward networks are universal approximators},
  journal  = {Neural Networks},
  volume   = {2},
  number   = {5},
  pages    = {359-366},
  year     = {1989},
  issn     = {0893-6080},
  doi      = {https://doi.org/10.1016/0893-6080(89)90020-8},
  author   = {Kurt Hornik and Maxwell Stinchcombe and Halbert White},
  keywords = {Feedforward networks, Universal approximation, Mapping networks, Network representation capability, Stone-Weierstrass Theorem, Squashing functions, Sigma-Pi networks, Back-propagation networks},
  abstract = {This paper rigorously establishes that standard multilayer feedforward networks with as few as one hidden layer using arbitrary squashing functions are capable of approximating any Borel measurable function from one finite dimensional space to another to any desired degree of accuracy, provided sufficiently many hidden units are available. In this sense, multilayer feedforward networks are a class of universal approximators.}
}

@misc{rudy2018datadriven,
  title         = {Data-driven identification of parametric partial differential equations},
  author        = {Samuel Rudy and Alessandro Alla and Steven L. Brunton and J. Nathan Kutz},
  year          = {2018},
  eprint        = {1806.00732},
  archiveprefix = {arXiv},
  primaryclass  = {math.NA}
}

@article{Kaiser_2018,
  doi       = {10.1098/rspa.2018.0335},
  year      = 2018,
  month     = {nov},
  publisher = {The Royal Society},
  volume    = {474},
  number    = {2219},
  pages     = {20180335},
  author    = {E. Kaiser and J. N. Kutz and S. L. Brunton},
  title     = {Sparse identification of nonlinear dynamics for model predictive control in the low-data limit},
  journal   = {Proceedings of the Royal Society A: Mathematical, Physical and Engineering Sciences}
}

@misc{kaiser2021datadriven,
  title         = {Data-driven discovery of Koopman eigenfunctions for control},
  author        = {Eurika Kaiser and J. Nathan Kutz and Steven L. Brunton},
  year          = {2021},
  eprint        = {1707.01146},
  archiveprefix = {arXiv},
  primaryclass  = {math.OC}
}

@article{sindyConvergence,
  author   = {Zhang, Linan and Schaeffer, Hayden},
  title    = {On the Convergence of the SINDy Algorithm},
  journal  = {Multiscale Modeling \& Simulation},
  volume   = {17},
  number   = {3},
  pages    = {948-972},
  year     = {2019},
  doi      = {10.1137/18M1189828},
  url      = {https://doi.org/10.1137/18M1189828},
  eprint   = {https://doi.org/10.1137/18M1189828},
  abstract = {One way to understand time-series data is to identify the underlying dynamical system which generates it. This task can be done by selecting an appropriate model and a set of parameters which best fits the dynamics while providing the simplest representation (i.e., the smallest amount of terms). One such approach is the sparse identification of nonlinear dynamics framework [6], which uses a sparsity-promoting algorithm that iterates between a partial least-squares fit and a thresholding (sparsity-promoting) step. In this work, we provide some theoretical results on the behavior and convergence of the algorithm proposed in [S. L. Brunton, J. L. Proctor, and J. N. Kutz, Proc. Nat. Acad. Sci. USA, 113 (2016), pp. 3932--3937]. In particular, we prove that the algorithm approximates local minimizers of an unconstrained \$\ell^0\$-penalized least-squares problem. From this, we provide sufficient conditions for general convergence, rate of convergence, conditions for one-step recovery, and a recovery result with respect to the condition number and noise. Examples illustrate that the rates of convergence are sharp. In addition, our results extend to other algorithms related to the algorithm in [S. L. Brunton, J. L. Proctor, and J. N. Kutz, Proc. Nat. Acad. Sci. USA, 113 (2016), pp. 3932--3937], and provide theoretical verification of several observed phenomena. }
}

@article{KoopmanOriginal,
  issn      = {00278424},
  url       = {http://www.jstor.org/stable/86259},
  author    = {B. O. Koopman and J. V. Neumann},
  journal   = {Proceedings of the National Academy of Sciences of the United States of America},
  number    = {3},
  pages     = {255--263},
  publisher = {National Academy of Sciences},
  title     = {Dynamical Systems of Continuous Spectra},
  urldate   = {2023-08-22},
  volume    = {18},
  year      = {1932}
}

@article{KoopmanSpectralAnalysis,
  author  = {Rowley, Clarence and Mezic, Igor and BAGHERI, SHERVIN and Schlatter, Philipp and HENNINGSON, DAN},
  year    = {2009},
  month   = {12},
  pages   = {115 - 127},
  title   = {Spectral analysis of nonlinear flows},
  volume  = {641},
  journal = {Journal of Fluid Mechanics},
  doi     = {10.1017/S0022112009992059}
}

@article{Pail2020,
  doi       = {10.1038/s41598-020-74306-3},
  url       = {https://doi.org/10.1038/s41598-020-74306-3},
  year      = {2020},
  month     = {10},
  publisher = {Springer Science and Business Media {LLC}},
  volume    = {10},
  number    = {1},
  author    = {Martin Pail and Jan Cimb{\'{a}}ln{\'{\i}}k and Robert Roman and Pavel Daniel and Daniel J. Shaw and Jan Chrastina and Milan Br{\'{a}}zdil},
  title     = {High frequency oscillations in epileptic and non-epileptic human hippocampus during a cognitive task},
  journal   = {Scientific Reports}
}